<div fxLayout="column" fxFlex="100" style="width: 500px;">

  <div mat-dialog-title class="dialog-header"
       fxLayout="row" fxLayoutAlign="space-between center" fxFlex="100">
    <span>Συναλλαγή</span>

    <span>
      <button mat-icon-button (click)="closeDialog()">
        <mat-icon>clear</mat-icon>
      </button>
    </span>
  </div>

  <div class="dialog-content" fxLayout="row">
    <div fxLayout="column" fxFlex="grow" style="padding: 1rem;" fxFlex="100">

      <div fxLayout="row">
        <label style="font-size: 16px">Εισάγετε ποσό συναλλαγής</label>
      </div>

      <div fxLayout="row" fxFlex="100">
        <mat-form-field class="form-field">
          <mat-label></mat-label>
          <input matInput placeholder="10" [(ngModel)]="price" type="number"/>
        </mat-form-field>
      </div>

      <div fxLayout="row" fxFlex="100" fxLayoutAlign="center center">
        <button mat-raised-button (click)="setReady(true)" [disabled]="!price || +price === 0">Έτοιμος</button>
      </div>

      <div fxLayout="row" fxFlex="100" style="margin-top: 20px;">
        <div fxLayout="column" fxFlex="100">

          <!--          <div fxLayout="row">-->
          <!--            <label style="font-size: 16px">Ελέγξτε το QR Code του πελάτη σας</label>-->
          <!--          </div>-->

          <div fxLayout="row" fxLayoutAlign="center center center" style="margin-top: 20px;">
            <!--            <div class="scanner-view">-->
            <img [src]="qrCode" *ngIf="isReady" style="height: auto;">
            <!--              <zxing-scanner class="scanner-view"  #scanner (scanSuccess)="scanSuccessHandler($event)">-->
            <!--              </zxing-scanner>-->
            <!--            </div>-->
          </div>

        </div>
      </div>


    </div>
  </div>

  <div fxFlex="100" class="dialog-buttons">
    <button mat-stroked-button (click)="closeDialog()">Ακύρωση</button>
    <button  mat-flat-button class="okButton" (click)="completeTransaction()">Ολοκλήρωση
    </button>
  </div>

</div>
